+++
date = "2016-01-27T16:14:21+08:00"
title = "运维平台"
weight=8
+++

# 运维平台

`elastic-job`运维平台以`war`包形式提供，可自行部署到`tomcat`或`jetty`等支持`servlet`的`web`容器中。

`elastic-job-console.war`可以通过编译源码或从`maven`中央仓库获取。

## 登录

默认用户名和密码是`root/root`，可以通过修改`conf\auth.properties`文件修改默认登录用户名和密码。

## 主要功能

* 登录安全控制

* 注册中心管理

* 作业维度状态查看

* 服务器维度状态查看

* 快捷修改作业设置

* 控制作业暂停和恢复运行

## 设计理念

运维平台和`elastic-job`并无直接关系，是通过读取作业注册中心数据展现作业状态，或更新注册中心数据修改全局配置。

控制台只能控制作业本身是否运行，但不能控制作业进程的启停，因为控制台和作业本身服务器是完全分布式的，控制台并不能控制作业服务器。

## 不支持项

* 添加作业。因为作业都是在首次运行时自动添加，使用运维平台添加作业并无必要。

* 停止作业。即使删除了`Zookeeper`信息也不能真正停止作业的运行，还会导致运行中的作业出问题。

* 删除作业服务器。由于直接删除服务器节点风险较大，暂时不考虑在运维平台增加此功能。

## 主要界面

* 总览页

![总览页](../../img/console_index.png)

* 注册中心管理页

![注册中心管理页](../../img/console_reg_center.png)

* 作业详细信息页

![作业详细信息页](../../img/console_job_details.png)

* 服务器详细信息页

![服务器详细信息页](../../img/console_server_details.png)